using Modules.Library.Domain.Entities.MediaContent.Items.Anime;
namespace Modules.Library.Application.Gateways;

public interface IAnimeEpisodeGateway
{

    //public Task<List<Models.Anime.Title>> GetList();
    //public Task<Models.Anime.Title> GetDetail(Guid id);

    public Task<Guid> Create(Guid titleId, Guid? seasonId, AnimeEpisode season);
    public Task Update(Guid titleId, Guid? seasonId, AnimeEpisode season);

    public Task Delete(Guid id, Guid? seasonId, AnimeEpisode episode);
}